/*************************************************
 gba rom dump script
*************************************************/
function cpu_dump(d, rom_size, banksize)
{
	for(local i = 0; i < rom_size; i += 0x10000){
		cpu_read(d, i, 0x10000);//read 64k a time
	}
}
function save_dump(d, save_size, max_size)
{
	for(local i = 0; i < save_size; i += 0x400)
	{
		ram_read (d, i, 0x400); 
	}
}
function save_erase(d, save_size, save_type)
{
	//not need here
	ram_erase(d);
}
function save_write(d, save_size, max_size)
{
	for(local i = 0; i < save_size; i += 0x400)
	{
		ram_write (d, i, 0x400); 
	}
}